<?php
session_start();
$activePage = 'Roles'; 

include("../master.php");
include("../elements/functions.php");
if (isset($_SESSION['token'])) {
    $token = $_SESSION['token'];

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        
        //left -API fields -Right :input fields//
        $data = [
           // "pid" => $_POST['pid'],
            'notes' =>  $_POST['notes'],
            'max_nodes_per_pid' =>  $_POST['max_nodes_per_pid']
        ];
        $id =$_SESSION["id_test"];  //from the role_details_function page we re use this for every functionality.//



        
        //-------------------API CALL------------------------------------//

        $jsonFilePath = __DIR__ . '/../urls/api_endpoints.json';
        $jsonData = file_get_contents($jsonFilePath);
        $endpoints = json_decode($jsonData, true);
        $url = $endpoints['update_role'] . $id;
        //---------------------------ENDS HERE-----------------------------------------//

        $response =  make_patch_request($url, $data);

        $desc=$data['notes'];
      
        if ($response === FALSE) {
            $response = json_encode(['status' => 'error', 'message' => 'An error occurred']);
        }

        $response_data = json_decode($response, true);

        if ($response_data['status'] === 200) {
            //echo '<script>window.location.href = "../user/userlist.php";</script>';
            $_SESSION['message']="Role updated sucessfully $id";
            $redirect_page="../configuration/roles.php";
            

        } elseif ($response_data['status'] === 401) {
            $_SESSION['message'] = 'Role not Updated ';
            $redirect_page="../configuration/role_edit.php";
        }
        else{
            $_SESSION['message'] = 'Role not Updated';
            $redirect_page="../configuration/role_list.php";
        }
        } else {
        header('Location: ../index.php');
        exit();
        }
    }
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create User</title>
    <link rel="stylesheet" href="../css/userstyle.css" type="text/css">
</head>
<body>
    <div id="popup" class="popup">
        <div class="popup-content">
            <p id="popup-message"></p>
        </div>
    </div>
    
    <script>
        <?php if (isset($_SESSION['message'])): ?>
            var popup = document.getElementById("popup");
            var popupMessage = document.getElementById("popup-message");
            popupMessage.textContent = "<?php echo $_SESSION['message']; ?>";
            popup.style.display = "block";
            setTimeout(function() {
                popup.style.display = "none";
                window.location.href = "<?php echo $redirect_page; ?>";// Redirect after 3 seconds
            }, 2000); // Automatically close the popup after 3 seconds
            
           
            <?php unset($_SESSION['message']); // Clear the message after displaying ?>
           
        <?php endif; ?>
    </script>
</body>
</html>
